'use strict';

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _require = require('../utils'),
    applyOverrides = _require.applyOverrides,
    ifDevDep = _require.ifDevDep;

var config = applyOverrides({
  type: 'eslint',
  config: {
    extends: ['kentcdodds', ifDevDep('jest', 'kentcdodds/jest'), ifDevDep('webpack', 'kentcdodds/webpack'), ifDevDep('react', 'kentcdodds/jsx-a11y'), ifDevDep('react', 'kentcdodds/react'), ifDevDep('prettier', 'kentcdodds/prettier')].filter(Boolean),
    rules: _extends({
      // stuff I haven't gotten around to updating in my config
      'no-unused-vars': ['error', { argsIgnorePattern: '^_', varsIgnorePattern: '^ignored' }],
      'func-style': 'off',
      'no-process-exit': 'off'

    }, ifDevDep('prettier', {
      'max-len': 'off',
      semi: 'off',
      quotes: 'off',
      'comma-dangle': 'off',
      'no-console': 'off',
      indent: 'off',
      'babel/object-curly-spacing': 'off'
    }, {}))
  }
});

module.exports = config;