'use strict';

var _require = require('../utils'),
    ifDevDep = _require.ifDevDep,
    applyOverrides = _require.applyOverrides;

var ignores = ['/node_modules/', '/fixtures/', '/__tests__/helpers/', '__mocks__'];

var config = applyOverrides({
  type: 'jest',
  config: {
    testEnvironment: ifDevDep('webpack', 'jsdom', 'node'),
    collectCoverageFrom: ['src/**/*.js'],
    testMatch: ['**/__tests__/**/*.js'],
    testPathIgnorePatterns: ignores,
    coveragePathIgnorePatterns: ignores,
    coverageThreshold: {
      global: {
        branches: 100,
        functions: 100,
        lines: 100,
        statements: 100
      }
    }
  }
});

module.exports = config;