'use strict';

function _toArray(arr) { return Array.isArray(arr) ? arr : Array.from(arr); }

var path = require('path');
var resolveBin = require('resolve-bin');
var spawn = require('cross-spawn');

var _process$argv = _toArray(process.argv),
    ignoredExecutor = _process$argv[0],
    ignoredBin = _process$argv[1],
    ignoredScript = _process$argv[2],
    args = _process$argv.slice(3);

var here = function here(p) {
  return path.join(__dirname, p);
};

var result = spawn.sync(resolveBin.sync('eslint'),
// prettier-ignore
['--config', here('../config/eslintrc.js'), '--ignore-path', here('../config/eslintignore'), '--cache', '.'].concat(args), { stdio: 'inherit' });

if (result.status === 0) {
  console.error(`All's good 👍`);
}

process.exit(result.status);