'use strict';

function _toConsumableArray(arr) { if (Array.isArray(arr)) { for (var i = 0, arr2 = Array(arr.length); i < arr.length; i++) { arr2[i] = arr[i]; } return arr2; } else { return Array.from(arr); } }

var spawn = require('cross-spawn');

var _require = require('../utils'),
    ifScript = _require.ifScript;

var scriptNames = function scriptNames() {
  for (var _len = arguments.length, scripts = Array(_len), _key = 0; _key < _len; _key++) {
    scripts[_key] = arguments[_key];
  }

  return scripts.map(function (s) {
    return ifScript(s, s);
  }).filter(Boolean).join(',');
};

var result = spawn.sync(require.resolve('concurrently'),
// prettier-ignore
['--kill-others-on-fail', '--prefix', '[{name}]', '--names', scriptNames('build', 'lint', 'test'), '--prefix-colors', 'bgBlue.bold,bgGreen.bold,bgOrang.bold'].concat(_toConsumableArray([ifScript('build', 'npm run build --silent'), ifScript('lint', 'npm run lint --silent'), ifScript('test', 'npm run test --silent -- --coverage')].filter(Boolean))), { stdio: 'inherit' });

process.exit(result);